> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Slack channels

> List channels visible to a Slack integration.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/integrations/{integrationId}/slack-channels
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/{integrationId}/slack-channels:
    get:
      tags:
        - Integrations
      summary: List Slack channels
      description: List channels visible to a Slack integration.
      operationId: listIntegrationSlackChannels
      parameters:
        - in: path
          name: integrationId
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            pattern: ^\d+$
            maxLength: 10
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
        - in: query
          name: search
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: List Slack channels
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                          maxLength: 255
                        name:
                          type: string
                          minLength: 1
                          maxLength: 255
                      required:
                        - id
                        - name
                      additionalProperties: false
                    maxItems: 100
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    pattern: ^\d+$
                    maxLength: 10
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.